services:
  app:
    image: kanboard/kanboard
    ports:
      - 8081:80
    env_file:
      - ./kanboard.env
    volumes:
      - ./data:/var/www/app/data
      - ./plugins:/var/www/app/plugins
      - ./ssl:/var/www/app/ssl
    depends_on:
      - db
  db:
    image: mariadb
    environment:
      MARIADB_USER: kanboard
      MARIADB_PASSWORD: kanboard
      MARIADB_ROOT_PASSWORD: kanboard
      MARIADB_DATABASE: kanboard
    volumes:
      - ./db:/var/lib/mysql